<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3455511b-a100-4bbd-b07c-68f009bc8dbc" name="Default" comment="">
      <change afterPath="$PROJECT_DIR$/arraz/src/main/java/MaxMin.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/arraz/src/main/java/OddEven.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/arraz/arraz.iml" beforeDir="false" afterPath="$PROJECT_DIR$/arraz/arraz.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/arraz/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/arraz/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/arraz/src/main/java/Arraz.java" beforeDir="false" afterPath="$PROJECT_DIR$/arraz/src/main/java/Arraz.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/arraz/src/test/java/ArrazTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/arraz/src/test/java/ArrazTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/arraz/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1055774410">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="4" />
          <entry key="project.open.time.10" value="1" />
          <entry key="project.open.time.11" value="1" />
          <entry key="project.open.time.14" value="1" />
          <entry key="project.open.time.9" value="1" />
          <entry key="project.opened" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="11312" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="11312" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="5" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/arraz/src/main/java/Arraz.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="315">
              <caret line="201" column="14" selection-start-line="201" selection-start-column="14" selection-end-line="201" selection-end-column="14" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#3972#3981#0" expanded="true" />
                <element signature="e#4030#4039#0" expanded="true" />
                <element signature="e#6008#6009#0" expanded="true" />
                <element signature="e#6066#6067#0" expanded="true" />
                <element signature="e#6256#6257#0" expanded="true" />
                <element signature="e#6319#6320#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/arraz/src/test/java/ArrazTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="5685">
              <caret line="379" column="36" selection-start-line="379" selection-start-column="36" selection-end-line="379" selection-end-column="36" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="270">
                <caret line="18" selection-start-line="18" selection-end-line="18" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JUnit4 Test Class" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GradleLocalSettings">
    <option name="projectSyncType">
      <map>
        <entry key="$USER_HOME$/GitHub/gs-gradle/initial" value="PREVIEW" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/arraz/src/test/java/OddEven.java" />
        <option value="$PROJECT_DIR$/arraz/src/main/java/OddEven.java" />
        <option value="$PROJECT_DIR$/arraz/src/main/java/MaxMin.java" />
        <option value="$PROJECT_DIR$/arraz/src/main/java/Arraz.java" />
        <option value="$PROJECT_DIR$/arraz/src/test/java/ArrazTest.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1280" />
    <option name="height" value="709" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ArraysGoneWild" type="b2602c69:ProjectViewProjectNode" />
              <item name="ArraysGoneWild" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ArraysGoneWild" type="b2602c69:ProjectViewProjectNode" />
              <item name="ArraysGoneWild" type="462c0819:PsiDirectoryNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ArraysGoneWild" type="b2602c69:ProjectViewProjectNode" />
              <item name="ArraysGoneWild" type="462c0819:PsiDirectoryNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ArraysGoneWild" type="b2602c69:ProjectViewProjectNode" />
              <item name="ArraysGoneWild" type="462c0819:PsiDirectoryNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ArraysGoneWild" type="b2602c69:ProjectViewProjectNode" />
              <item name="ArraysGoneWild" type="462c0819:PsiDirectoryNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="GO_FMT" value="false" />
    <property name="SearchEverywhereHistoryKey" value="&#9;FILE&#9;file:///Users/michelledimarino/Labs/ArraysGoneWild/arraz/src/main/java/Arraz.java" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1544138989453" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit4" />
    <property name="jdk.selected.JAVA_MODULE" value="1.8" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="settings.editor.selected.configurable" value="configurable.group.appearance" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.ArrazTest.averageWOMaxMinTest2">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.ArrayListToArrayTest2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="ArrayListToArrayTest2" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.averageWOMaxMinTest1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="averageWOMaxMinTest1" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.averageWOMaxMinTest2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="averageWOMaxMinTest2" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.removeDupesTest2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="removeDupesTest2" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.ArrazTest" />
      <item itemvalue="JUnit.ArrazTest.ArrayListToArrayTest2" />
      <item itemvalue="JUnit.ArrazTest.removeDupesTest2" />
      <item itemvalue="JUnit.ArrazTest.averageWOMaxMinTest1" />
      <item itemvalue="JUnit.ArrazTest.averageWOMaxMinTest2" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ArrazTest.averageWOMaxMinTest2" />
        <item itemvalue="JUnit.ArrazTest.averageWOMaxMinTest1" />
        <item itemvalue="JUnit.ArrazTest.removeDupesTest2" />
        <item itemvalue="JUnit.ArrazTest.ArrayListToArrayTest2" />
        <item itemvalue="JUnit.ArrazTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3455511b-a100-4bbd-b07c-68f009bc8dbc" name="Default" comment="" />
      <created>1543955860758</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1543955860758</updated>
      <workItem from="1543955862749" duration="2347000" />
      <workItem from="1543958998826" duration="113000" />
      <workItem from="1544020724645" duration="762000" />
      <workItem from="1544046506124" duration="10562000" />
      <workItem from="1544100898447" duration="1305000" />
      <workItem from="1544119638912" duration="9841000" />
      <workItem from="1544137059056" duration="1924000" />
    </task>
    <task id="LOCAL-00001" summary="readme and docs">
      <created>1544021313039</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1544021313039</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ArrazTest_removeDupesTest1 - 2018.12.06 at 18h 14m 33s.xml">
      <configuration name="ArrazTest.removeDupesTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_removeDupesTest1 - 2018.12.06 at 18h 14m 49s.xml">
      <configuration name="ArrazTest.removeDupesTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_removeDupesTest1 - 2018.12.06 at 18h 15m 16s.xml">
      <configuration name="ArrazTest.removeDupesTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.06 at 18h 18m 14s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_ArrayListToArrayTest2 - 2018.12.06 at 18h 18m 46s.xml">
      <configuration name="ArrazTest.ArrayListToArrayTest2" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_removeDupesTest2 - 2018.12.06 at 18h 19m 46s.xml">
      <configuration name="ArrazTest.removeDupesTest2" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_averageWOMaxMinTest1 - 2018.12.06 at 18h 26m 52s.xml">
      <configuration name="ArrazTest.averageWOMaxMinTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_averageWOMaxMinTest1 - 2018.12.06 at 18h 27m 44s.xml">
      <configuration name="ArrazTest.averageWOMaxMinTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_averageWOMaxMinTest1 - 2018.12.06 at 18h 28m 34s.xml">
      <configuration name="ArrazTest.averageWOMaxMinTest1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_averageWOMaxMinTest2 - 2018.12.06 at 18h 29m 40s.xml">
      <configuration name="ArrazTest.averageWOMaxMinTest2" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="26854000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1280" height="709" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.27382874" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32901135" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3987034" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Database Changes" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32901135" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="readme and docs" />
    <option name="LAST_COMMIT_MESSAGE" value="readme and docs" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/arraz/pom.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/arraz/src/test/java/OddEven.java" />
    <entry file="file://$PROJECT_DIR$/arraz/src/main/java/MaxMin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" column="25" lean-forward="true" selection-start-line="10" selection-start-column="25" selection-end-line="10" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/arraz/src/main/java/OddEven.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="13" column="30" selection-start-line="13" selection-start-column="30" selection-end-line="13" selection-end-column="30" />
          <folding>
            <element signature="e#322#323#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="270">
            <caret line="18" selection-start-line="18" selection-end-line="18" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/arraz/src/main/java/Arraz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="201" column="14" selection-start-line="201" selection-start-column="14" selection-end-line="201" selection-end-column="14" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#3972#3981#0" expanded="true" />
            <element signature="e#4030#4039#0" expanded="true" />
            <element signature="e#6008#6009#0" expanded="true" />
            <element signature="e#6066#6067#0" expanded="true" />
            <element signature="e#6256#6257#0" expanded="true" />
            <element signature="e#6319#6320#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/arraz/src/test/java/ArrazTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5685">
          <caret line="379" column="36" selection-start-line="379" selection-start-column="36" selection-end-line="379" selection-end-column="36" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>